using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{
    [Table("dms_base_alarm_rule")]
    public class DmsBaseAlarmRule
    {
        [Key]
        [Column("alarm_rule_id")]
        public long AlarmRuleId { get; set; }

        [Column("device_id")]
        public long DeviceId { get; set; }

        [Column("alarm_type")]
        public string AlarmType { get; set; }

        [Column("alarm_level")]
        public string AlarmLevel { get; set; }

        [Column("notice_type")]
        public string NoticeType { get; set; }

        [Column("recover_type")]
        public string RecoverType { get; set; }

        [Column("continue_time")]
        public long ContinueTime { get; set; }

        [Column("alarm_reason")]
        public string AlarmReason { get; set; }

        [Column("handle_suggest")]
        public string HandleSuggest { get; set; }

        [Column("remark")]
        public string Remark { get; set; }
        [Column("alarm_status_word")]
        public string Status { get; set; }
    }
}
